Skip to main content
POST
Create an MCP server

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
name
string
required

Unique MCP server name within the organization

Minimum string length: 1
url
string<uri>
required

HTTPS URL of the remote MCP server

Pattern: ^https://
description
string
default:""
headers
object
write-only

HTTP headers sent to the MCP server. Header values are encrypted and never returned by the API.

Response

MCP server created

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
name
string
required
description
string
required
url
string<uri>
required

HTTPS URL of the remote MCP server

Pattern: ^https://
header_names
string[]
required

Names of the configured HTTP headers. Header values are never returned.